# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.register

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/register#body.aspect)

Register a table using given metadata file location.

### HTTP request

`POST https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{parent=projects/*/catalogs/*/namespaces/*}/register`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Table to register in the format: `projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "metadata-location": string, "overwrite": boolean } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. The name of the table to register. |
| `metadata-location` | `string` Required. The metadata location of the table. |
| `overwrite` | `boolean` Optional. Whether to overwrite the table if it already exists. Default is false. |

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).